/* Given variables A and B, each holding an 8-bit signed 2's complement number, 
 * write a program to find the maximum value and put into variable C. 
 * For example if A > B then C = A.
 *
 * Solution C: if-then-else statement restructured to if-then with guess 
 * Result immediately stored in SRAM.
 */
 .INCLUDE <m328pdef.inc> 

.DSEG
A:     .BYTE 1
B:     .BYTE 1
C:     .BYTE 1

.CSEG

Max3:
	lds  r16, A    ; load
	lds  r17, B
	sts  C, r16    ; guess A > B
	cp   r16, r17
	brge endMax3
	sts  C, r17
endMax3:
    rjmp Max3
